Ubuntu

Change logs for “python-keyring” source package in Precise

  • python-keyring (0.9.2-0ubuntu0.12.04.2) precise-security; urgency=low
    
      * SECURITY UPDATE: CryptedFileKeyring format is insecure (LP: #1004845)
        - Rebuild python-keyring 0.9.2 from Ubuntu 12.10 as a security update
          for Ubuntu 12.04.
        - debian/patches/crypto_compat.patch: include PBKDF2() directly to be
          compatible with the older version of python-crypto in Ubuntu 12.04.
        - CVE-2012-4571
      * SECURITY UPDATE: insecure default file permissions (LP: #1031465)
        - debian/patches/file_permissions.patch: set appropriate permissions on
          database directory.
        - CVE number pending
      * debian/patches/fix_migration.patch: fix migration code so old
        databases get upgraded when a key is read. (LP: #1042754)
      * debian/patches/fix_unlock.patch: fix unlocking an existing keyring.
     -- Marc Deslauriers <email address hidden>   Mon, 19 Nov 2012 12:50:49 -0500
  • python-keyring (0.7.1-1fakesync1) precise; urgency=low
    
      * Fake sync due to mismatching orig tarball.
    
    python-keyring (0.7.1-1) unstable; urgency=low
    
      * New upstream version (Closes: #656680, #624690)
      * debian/control
        - Add X-Python-Version for Python 3.2
        - Add B-D for Python 3.2
        - Add unzip for B-D to repack upstream sources
        - Add python3-keyring description
        - Recommends python3-crypto for Python3 binary package
      * Add python-keyring.install and python3-keyring.install files
      * debian/rules
        - Execute unit tests if available
        - repack upstream sources
      * debian/watch
        - New URL to catch upstream sources
     -- Barry Warsaw <email address hidden>   Mon, 20 Feb 2012 11:03:28 -0500
  • python-keyring (0.7.1-0ubuntu2) precise; urgency=low
    
      * debian/control: python3-keyring should recommend python3-crypto, not
        python-crypto.
     -- Barry Warsaw <email address hidden>   Thu, 16 Feb 2012 10:52:46 -0500
  • python-keyring (0.7.1-0ubuntu1) precise; urgency=low
    
      * New upstream release (Closes: #656680)
      * Build for Python 3.
      * Run the tests (for Python == 2.7).
      * Add unzip to B-D and repack the upstream tarball.
     -- Barry Warsaw <email address hidden>   Tue, 24 Jan 2012 18:50:31 -0500
  • python-keyring (0.6.2-1build1) precise; urgency=low
    
      * Rebuild to drop python2.6 dependencies.
     -- Matthias Klose <email address hidden>   Sat, 31 Dec 2011 02:10:54 +0000
  • python-keyring (0.6.2-1) unstable; urgency=low
    
      * New upstream version
      * debian/control
        - Bump the Standards-Version field to 3.9.2
        - Removed Breaks: ${python:Breaks} from the binary package description
     -- Gary Poster <email address hidden>   Wed,  10 Aug 2011 11:51:03 +0000